#!/bin/sh
#
# Infobox for DriveSpeed
#
HERE="$(dirname "$(readlink -f "$0")")"
#
yad --center --window-icon=$HERE/ICONS/drivespeed-icon.png --title="    DriveSpeed! - Info" --form --width=550 --text=" Info for DriveSpeed! speed tester
----------------------------------------------------------------------
This is a fairly basic, 'dd'-based speed tester utility,
which by virtue of being portable can be used to test
ANY drive.....HDD, SSD. USB flash, SD card, zip drive.
whatever. If 'dd' can write to it, DriveSpeed! can test it.

All you need to do is to drag the DriveSpeed! portable to the
'root' of the drive you wish to test (or the primary partition). 
Then, click on the DriveSpeed! launch script to bring up the 
GUI.
----------------------------------------------------------------------
In normal operation, the write operation is tested first, since
this creates the 'test-file'. Once this has been created, you can 
then test the read speed.

Buttons will let you select the 'write' block size to use, the 'read' block size to use, and the size of test-file you wish to create; you can choose from either 1Gb, 2 Gb or 4Gb. These parameters are 'pre-selected' BEFORE the tests commence. Older, weaker, slower systems will probably benefit from using the smallest test-file; those of you with faster, more powerful systems and larger, faster drives may wish to create a larger test-file in order to obtain more consistent readings. DriveSpeed! will create the 'test-file', and write the selected amount of data to it, using your chosen settings - at the same time, giving a real-time, terminal-based readout of the speeds achieved. Since DriveSpeed! allows the user to select the desired block size for each operation, you can run both read AND write operations with different block sizes if you so wish.
----------------------------------------------------------------------
PLEASE REMEMBER - Clear the cache buffers between operations,
as this helps to keep each operation clean, and starting from the
same nominal conditions each time.
----------------------------------------------------------------------
Hope some of you may find it useful.
                                                                " --button="Close:0" && exit
